For the complete documentation index, see llms.txt. This page is also available as Markdown.

Projects

Get projects

get
/projects/

This api is used to sync external projects with WorkorderApp. Each project record can contain the following data:

Parameter
Required
Type (size)

code

Y

Varchar (255)

code_ext

N

Varchar (255)

debtor_number

Y

Varchar (255)

debtor_number_invoice

N

Varchar (255)

status

Y

Varchar (255)

name

Y

Varchar (255)

description

N

Text

progress

N

Integer

date_start

Y

Varchar (255)

date_end

N

Varchar (255)

active

N

Integer (1 or 0)

id

N

Integer

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
key[]stringOptionalExample: code_ext
value[]integerOptionalExample: 1
operator[]stringOptionalExample: eq
Responses
get/projects/
GET /projects/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Add projects

post
/projects/

This api is used to sync external projects with WorkorderApp. Each project record can contain the following data:

Parameter
Required
Type (size)

code

Y

Varchar (255)

code_ext

N

Varchar (255)

debtor_number

Y

Varchar (255)

debtor_number_invoice

N

Varchar (255)

status

Y

Varchar (255)

name

Y

Varchar (255)

description

N

Text

progress

N

Integer

date_start

Y

Varchar (255)

date_end

N

Varchar (255)

active

N

Integer (1 or 0)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/projects/
POST /projects/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?